### File

`packages/ecl/components/ecl-form-label/ecl-form-label-optional.directive.ts`

### Description

The `ECLFormLabelOptionalDirective` adds the `ecl-form-label__optional` CSS class to an element to indicate that a form field is optional.

### Metadata

Selector | `[eclFormLabelOptional]`

### Index

###### Properties
hasClass
###### HostBindings
class.ecl-form-label__optional

### HostBindings

class.ecl-form-label__optional
Type : `boolean`
Default value : `true`
Adds the ECL optional label class to the host element.

### Properties

hasClass
Default value : `true`
Decorators : `@HostBinding('class.ecl-form-label__optional')`
Adds the ECL optional label class to the host element.

# results matching ""

# No results matching ""